Bug 1795052 - glib2-2.63.4-1.fc32: createrepo_c: g_mutex_unlock(): createrepo_c killed by SIGSEGV
Summary: glib2-2.63.4-1.fc32: createrepo_c: g_mutex_unlock(): createrepo_c killed by S...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: glib2
Version: rawhide
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stephen Gallagher
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:824e619c67979111bae927b795d...
: 1795166 1796072 1796177 1796353 (view as bug list)
Depends On:
Blocks: TRACKER-bugs-affecting-libguestfs
TreeView+ depends on / blocked
 
Reported: 2020-01-26 18:03 UTC by Mikhail
Modified: 2020-01-30 09:13 UTC (History)
22 users (show)

Fixed In Version: glib2-2.63.4-3.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-29 15:32:39 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (20.33 KB, text/plain)
2020-01-26 18:03 UTC, Mikhail
no flags Details
File: core_backtrace (3.39 KB, text/plain)
2020-01-26 18:03 UTC, Mikhail
no flags Details
File: cpuinfo (2.50 KB, text/plain)
2020-01-26 18:03 UTC, Mikhail
no flags Details
File: dso_list (5.34 KB, text/plain)
2020-01-26 18:03 UTC, Mikhail
no flags Details
File: environ (5.67 KB, text/plain)
2020-01-26 18:03 UTC, Mikhail
no flags Details
File: exploitable (82 bytes, text/plain)
2020-01-26 18:03 UTC, Mikhail
no flags Details
File: limits (1.29 KB, text/plain)
2020-01-26 18:03 UTC, Mikhail
no flags Details
File: maps (33.79 KB, text/plain)
2020-01-26 18:03 UTC, Mikhail
no flags Details
File: mountinfo (2.49 KB, text/plain)
2020-01-26 18:03 UTC, Mikhail
no flags Details
File: open_fds (614 bytes, text/plain)
2020-01-26 18:03 UTC, Mikhail
no flags Details
File: proc_pid_status (1.32 KB, text/plain)
2020-01-26 18:03 UTC, Mikhail
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Gitlab GNOME glib issues 2012 None None None 2020-01-27 14:47:09 UTC

Description Mikhail 2020-01-26 18:03:37 UTC
Version-Release number of selected component:
createrepo_c-0.15.5-1.fc32

Additional info:
reporter:       libreport-2.11.3
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/gnome-terminal-server.service
cmdline:        createrepo .
crash_function: g_mutex_unlock
executable:     /usr/bin/createrepo_c
journald_cursor: s=17ba207e22a642628421ea87326b40b6;i=2046a;b=b17f56fd6b2b4d3a86e06605e6bcef78;m=24813146;t=59d0ebf8d6a94;x=7dcf82fdb6de0f36
kernel:         5.5.0-0.rc7.git0.2.fc32.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 g_mutex_unlock at ../glib/gthread-posix.c:1477
 #1 g_cond_wait at ../glib/gthread-posix.c:1526
 #2 g_thread_pool_start_thread at ../glib/gthreadpool.c:488
 #3 g_thread_pool_push at ../glib/gthreadpool.c:688

Comment 1 Mikhail 2020-01-26 18:03:41 UTC
Created attachment 1655463 [details]
File: backtrace

Comment 2 Mikhail 2020-01-26 18:03:42 UTC
Created attachment 1655464 [details]
File: core_backtrace

Comment 3 Mikhail 2020-01-26 18:03:44 UTC
Created attachment 1655465 [details]
File: cpuinfo

Comment 4 Mikhail 2020-01-26 18:03:45 UTC
Created attachment 1655466 [details]
File: dso_list

Comment 5 Mikhail 2020-01-26 18:03:47 UTC
Created attachment 1655467 [details]
File: environ

Comment 6 Mikhail 2020-01-26 18:03:48 UTC
Created attachment 1655468 [details]
File: exploitable

Comment 7 Mikhail 2020-01-26 18:03:50 UTC
Created attachment 1655469 [details]
File: limits

Comment 8 Mikhail 2020-01-26 18:03:52 UTC
Created attachment 1655470 [details]
File: maps

Comment 9 Mikhail 2020-01-26 18:03:53 UTC
Created attachment 1655471 [details]
File: mountinfo

Comment 10 Mikhail 2020-01-26 18:03:55 UTC
Created attachment 1655472 [details]
File: open_fds

Comment 11 Mikhail 2020-01-26 18:03:56 UTC
Created attachment 1655473 [details]
File: proc_pid_status

Comment 12 Mikhail 2020-01-26 18:12:21 UTC
This bug began to happens after upgrade glib2 to 2.63.4-1 version.
Last working version glib2 is 2.63.3-1.fc32.x86_64

Comment 13 Mikhail 2020-01-26 19:20:10 UTC
Similar problem has been detected:

Occurs every time when I launch createrepo

reporter:       libreport-2.11.3
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/gnome-terminal-server.service
cmdline:        createrepo .
crash_function: g_mutex_unlock
executable:     /usr/bin/createrepo_c
journald_cursor: s=243825a6ca7d4488bd1eac2067c84e8d;i=1b1bb;b=deb08d5601de4c0898427e22d6380c44;m=145f0665d8;t=59d0fb390927a;x=932b091e546d00b3
kernel:         5.5.0-0.rc7.git0.2.fc32.x86_64
package:        createrepo_c-0.15.5-1.fc32
reason:         createrepo_c killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 amatej 2020-01-27 13:11:28 UTC
I believe this is not a problem in createrepo_c but in glib. Here is the associated report: https://gitlab.gnome.org/GNOME/glib/issues/2012.

You can either wait for a release of glib2 which has the fix or downgrade to older version that 2.63.4.

Comment 15 amatej 2020-01-27 13:12:22 UTC
*** Bug 1795166 has been marked as a duplicate of this bug. ***

Comment 16 Jan Pazdziora 2020-01-27 13:23:03 UTC
NOTABUG does not sound like an appropriate resolution given the segfault is still there.

Has this been already reported against glib2 for Fedora, so that the maintainer knows they might need to respin glib2? If not, should this bugzilla's component be changed to track it against glib2?

Comment 17 amatej 2020-01-27 14:15:17 UTC
+1

Comment 18 Petr Pisar 2020-01-27 14:47:10 UTC
You cannot downgrade a package in Rawhide. Rawhide repository keeps only the latest build. You should apply the fix to Fedora.

Comment 19 Mikhail 2020-01-27 14:59:54 UTC
(In reply to Petr Pisar from comment #18)
> You cannot downgrade a package in Rawhide. Rawhide repository keeps only the
> latest build. You should apply the fix to Fedora.

For downgrading, I download packages directly from koji and place them in the local repo.
This is an ugly hack and, again and again, I insist that the previous packages are stored in Rawhide too.

Comment 20 Martin Kutlak 2020-01-29 14:37:07 UTC
*** Bug 1796072 has been marked as a duplicate of this bug. ***

Comment 21 Stephen Gallagher 2020-01-29 14:58:37 UTC
This has also broken the CI infrastructure for libmodulemd (and presumably DNF).

Comment 22 Stephen Gallagher 2020-01-29 15:08:08 UTC
There's a patch upstream at https://gitlab.gnome.org/GNOME/glib/merge_requests/1340 that I'm going to apply to the Rawhide package and build right now.

Comment 23 Stephen Gallagher 2020-01-29 15:32:39 UTC
Built now for Rawhide. Should be in the next successful nightly compose.

Comment 24 amatej 2020-01-30 07:16:36 UTC
*** Bug 1796177 has been marked as a duplicate of this bug. ***

Comment 25 Richard W.M. Jones 2020-01-30 09:11:49 UTC
*** Bug 1796353 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.